2008/09/12

非 root 手動安裝 stardict @ x86_64 奮戰筆記

問題:
./configure --prefix={有安裝權限的目錄}

checking for XML::Parser... configure: error: XML::Parser perl module is required for intltool

解釋:


下載檔案:
1. XML-Parser-2.36.tar.gz
2.

安裝:
> perl -MCPAN -e shell
一直按 enter
cpan> install XML::Parser
cpan> exit



> tar xzvf XML-Parser-2.36.tar.gz
> cd XML-Parser-2.36
> perl Makefile.PL
> perl Makefile.PL PREFIX={有安裝權限的目錄}/bin/perl INSTALLDIRS=perl
> make
> make test
> make install



參考文章:
1. Parser perl module is required for intltool

No comments:

Post a Comment

##EasyReadMore##

被我監控的 Blog